## com.TwentyCodes.android.location
Class Receiver

    java.lang.Object
      BroadcastReceiver
          com.TwentyCodes.android.location.Receiver

    public class Receiver

extends BroadcastReceiver

this class will be used to start the either the skyhook service or location service via android's alarm manager

Author:
  ricky barrette

Field Summary
`static int` `ANDROID_SERVICE_REQUEST_CODE`
`static String` `KEY_REQEST_CODE`
`static int` `SKYHOOK_SERVICE_REQUEST_CODE`

Constructor Summary
`Receiver()`

Method Summary
`void` `onReceive(Context context, Intent intent)` (non-Javadoc)

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### KEY_REQEST_CODE

    public static final String KEY_REQEST_CODE

See Also:
  Constant Field Values

### ANDROID_SERVICE_REQUEST_CODE

    public static final int ANDROID_SERVICE_REQUEST_CODE

See Also:
  Constant Field Values

### SKYHOOK_SERVICE_REQUEST_CODE

    public static final int SKYHOOK_SERVICE_REQUEST_CODE

See Also:
  Constant Field Values

Constructor Detail

### Receiver

    public Receiver()

Method Detail

### onReceive

    public void onReceive(Context context,
                          Intent intent)

  (non-Javadoc)

  Parameters:
    `context` -
    `intent` -
  See Also:
    `BroadcastReceiver`